package searchengine.services;

public class IndexingServiceImpl implements IndexingService {
    boolean indexingIsRunning = false;

    public void startIndexing() {
        if (indexingIsRunning) {
            System.out.println("Индексация уже запущена");
            return;
        }
        // Логика для запуска индексации или перенидексации сайтов
        System.out.println("Запуск индексации");
        indexingIsRunning = true;
        System.out.println("Индексация запущена");
    }
}
